# Overlay multiple Contacts for a Property

Contacts not sent will be reset/deleted.

Endpoint: PUT /properties/{propertyId}/contacts
Version: 1.0

## Header parameters:

  - `Accept-Version` (string)

## Path parameters:

  - `propertyId` (integer, required)
    The Property ID of which you wish to update the data

## Request fields (application/json):

  - `contacts` (array, required)
    General contact type is mandatory for setting up the property.
Validation: ContactProfileType entries cannot be repeated within the same array.
General contact can have only 1 entry in total.
[Current Documentation: ContactInfo Root Object](/connectivity/docs/api-reference/contactinfo)

  - `contacts.contact_profiles` (array, required)
    Type of Contact Profiles. Each value corresponds with a similarly named heading on the Contacts page.
Validation: Must be one of provided values.
[Current Documentation](/connectivity/docs/api-reference/contactinfo/#contactprofiletype)
DataMapping: ContactInfo/ContactProfileType

  - `contacts.contact_profiles.type` (string, required)
    Type of Contact Profile. Each value corresponds with a similarly named heading on the Contacts page.
[Current Documentation](/connectivity/docs/api-reference/contactinfo/#contactprofiletype)
DataMapping: ContactInfo/ContactProfileType
    Enum: "general", "reservations", "invoices", "availability", "site_content", "parity", "requests", "central_reservations"

  - `contacts.address` (object)

  - `contacts.address.city_name` (string)
    The name of the city, town, or village.
Validation: We do not allow CJK Unified Ideographs
[Current Documentation: CityName](/connectivity/docs/api-reference/address/)
DataMapping: ContactInfo/Addresses/CityName

  - `contacts.address.country_code` (string, required)
    The country code of the contact address.
Validation: One of [Two-letter country code](/connectivity/docs/b_xml-countries/).
Country codes follow ISO 3166
[Current Documentation: CountryName](/connectivity/docs/api-reference/address)
DataMapping: ContactInfo/Addresses/CountryName

  - `contacts.address.postal_code` (string)
    Postal/zip code.
Validation: We validate against country specific post code formats.
[Current Documentation: PostalCode](/connectivity/docs/api-reference/address)
DataMapping: ContactInfo/Addresses/PostalCode

  - `contacts.address.address_line` (string)
    The full street name and number.
Should not contain abbreviations (such as "Rd." for "Road") and should not exceed 255 characters.
Validations: Minimum 1 at most 255 characters. We also do not allow CJK Unified Ideographs.
[Current Documentation: AddressLine](/connectivity/docs/api-reference/address)
DataMapping: ContactInfo/Addresses/AddressLine

  - `contacts.address.language_code` (string)
    The language code for the address details.
Validation: One of [Booking.com Language Code](/connectivity/docs/codes-bcl/)
Default: en
[Current Documentation: Language](/connectivity/docs/api-reference/address)
DataMapping: ContactInfo/Addresses/Language

  - `contacts.contact_person` (object, required)
    Name details for a contact person.
[Current Documentation](/connectivity/docs/api-reference/name)

  - `contacts.contact_person.gender` (string)
    Contact person's gender.
Validation: One of valid value.
[Current Documentation: Gender](/connectivity/docs/api-reference/name)
DataMapping: ContactInfo/Names/Gender
    Enum: "male, female"

  - `contacts.contact_person.name` (string, required)
    Contact person's given name/full name.
Validation: Cannot be empty or null.
[Current Documentation: GivenName](/connectivity/docs/api-reference/name)
DataMapping: ContactInfo/Names/GivenName

  - `contacts.contact_person.job_title` (string)
    The contact's Job Title.
Validation: One of valid [Booking.com Job Title Code](/connectivity/docs/codes-bcjt/).
Default: Unknown
[Current Documentation: JobTitle](/connectivity/docs/api-reference/name)
DataMapping: ContactInfo/Names/JobTitle

  - `contacts.contact_person.language_code` (string, required)
    The contact's spoken language.
Validation: One of valid language codes provided [Booking.com Language Code](/connectivity/docs/codes-bcl/)
[Current Documentation: Language](/connectivity/docs/api-reference/name)
DataMapping: ContactInfo/Names/Language

  - `contacts.phones` (array, required)
    Validation: Cannot be null/empty
PhoneTechType 1 can have at most 3 entries.
PhoneTechType 3 and 5 can have at most 1 entry.
Extension can only be provided for PhoneTechType 1
DataMapping: ContactInfo/Phones

  - `contacts.phones.phone_number` (string, required)
    The international phone number.
Validation: We validate for country specific formats for the number against the address provided.
[Current Documentation: PhoneNumber](/connectivity/docs/api-reference/phone/)
DataMapping: ContactInfo/Phones/PhoneNumber

  - `contacts.phones.phone_tech_type` (integer, required)
    The type of phone line/device.
Validations: One of a valid value.
[Current Documentation: PhoneTechType](/connectivity/docs/api-reference/phone)
DataMapping: ContactInfo/Phones/PhoneTechType
    Enum: 1, 3, 5

  - `contacts.phones.extension` (string)
    The extension number that must be dialled in addition to the @PhoneNumber.
Validation: Only accepted when @PhoneTechType= "1".
[Current Documentation: Extension](/connectivity/docs/api-reference/phone/)
DataMapping: ContactInfo/Phones/Extension

  - `contacts.email` (string, required)
    Email address for a contact person/point.
Validation: Email must be of a standard format.
[Current Documentation](/connectivity/docs/api-reference/email/)
DataMapping: ContactInfo/Emails/Email

## Response 200 fields (application/json):

  - `warnings` (array)

  - `warnings.message` (string)

  - `warnings.code` (string)

  - `warnings.details` (object)

  - `errors` (array)

  - `errors.message` (string)

  - `errors.code` (string)

  - `errors.details` (object)

  - `meta` (object)

  - `meta.ruid` (string)


